lxc-autostart(1)

NAME
lxc-autostart - start/stop/kill auto-started containers

SYNOPSIS
lxc-autostart
[-k] [-L] [-r] [-s] [-a] [-g groups] [-t timeout]

DESCRIPTION
lxc-autostart processes containers with lxc.start.auto set. It lets the user start, shutdown, kill, restart containers in the right order, waiting the right time. Supports filtering by lxc.group or just run against all defined containers. It can also be used by external tools in list mode where no action will be performed and the list of affected containers (and if relevant, delays) will be shown.

The [-r], [-s] and [-k] options specify the action to perform. If none is specified, then the containers will be started. [-a] and [-g] are used to specify which containers will be affected. By default only containers without a lxc.group set will be affected. [-t TIMEOUT] specifies the maximum amount of time to wait for the container to complete the shutdown or reboot.

OPTIONS

\FC-r,--reboot \F[]
    Request a reboot of the container.

\FC-s,--shutdown \F[]
    Request a clean shutdown. If a [-t timeout] greater than 0 is given and the container has not shut down within this period, it will be killed as with the [-k kill] option.

\FC-k,--kill \F[]
    Rather than requesting a clean shutdown of the container, explicitly kill all tasks in the container.

\FC-L,--list \F[]
    Rather than performing the action, just print the container name.

\FC-t,--timeout \F[]TIMEOUT
    Wait TIMEOUT seconds before hard-stopping the container.

SEE ALSO
lxc(7), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Stéphane Graber <\FCstgraber@ubuntu.com\F[]>